run:
  skip-dirs:
    - main
  skip-files:
    - zgo.go
linters:
  enable-all: true
  disable:
    - gci
    - depguard
    - goerr113
    - varnamelen
    - gomnd
    - goimports
    - gofumpt
    - wsl
    - wrapcheck
    - nonamedreturns
    - noctx
    - ireturn
    - funlen
    - containedctx
    - maligned
    - cyclop
    - gocyclo
    - exhaustive
    - gocognit
    - makezero
    - errchkjson
    - exhaustivestruct
    - exhaustruct
    - forcetypeassert
    - ifshort
    - gochecknoglobals
    - lll